Subject: Re: bug#23480: 25.0.93; URLs in package summaries are not clickable

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 28 Jul 2019 16:03:24 +0200

Juliusz Chroboczek <[email-masked]> writes:

> When package summaries contain URLS of the form <http://...>, the URLs are
> not buttonised -- they can be followed by moving point to the URL and
> invoking eww, but not by clicking on them.
>
> Please buttonise the URLs in package summaries.

(I'm going through old Emacs bug reports that haven't received any
response.)

I've now done this on the Emacs trunk.  I've added a new function,
`browse-url-add-buttons', that can be used by (just about any, I think)
special modes to buttonify URLs in the buffer.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no